package com.izouma.awesomeadmin.dao;

import com.izouma.awesomeadmin.model.SysRole;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * sys_role Dao接口
 * Tue Apr 10 18:09:56 CST 2018  Suo Chen Cheng
 */ 
@Repository("com.zoumaframe.dao.SysRoleMapper")
public interface SysRoleMapper {

	int deleteByPrimaryKey(Integer id);

	int insertSelective(SysRole record);

	SysRole selectByPrimaryKey(Integer id);

	int updateByPrimaryKeySelective(SysRole record);

	List<SysRole> queryAllSysRole(SysRole record);

	List<SysRole> querySysRolesByPage(Map<String, Object> parameter);

	int delete(String id);

	SysRole querySysRole(SysRole record);
}

